OpenVDB 12.1.0

Loading...
Searching...
No Matches
Value.h File Reference

Intermediate representation of supported AX values. More...

`#include "Types.h"`
`#include "Utils.h"`
`#include "../ast/AST.h"`
`#include "../ast/Tokens.h"`
`#include "../compiler/Logger.h"`
`#include <openvdb/version.h>`
`#include <openvdb/util/Assert.h>`
`#include <llvm/IR/IRBuilder.h>`
`#include <llvm/IR/LLVMContext.h>`

Go to the source code of this file.

## Classes
class | Value
| Intermediate representation wrapper for supported value types in AX as immutable instances. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v12_1
namespace | openvdb::v12_1::ax
namespace | openvdb::v12_1::ax::codegen

## Detailed Description

Intermediate representation of supported AX values.

Authors
  Nick Avramoussis